#
# Conditional build:
%bcond_with	portaudio	# PortAudio instead of PulseAudio (deprecated)

Summary:	FreeDV Digital Voice
Summary(pl.UTF-8):	FreeDV Digital Voice - cyfrowy głos
Name:		freedv
Version:	1.9.8
Release:	1
License:	GPL v2+
Group:		X11/Applications/Sound
#Source0Download: https://github.com/drowe67/freedv-gui/releases
Source0:	https://github.com/drowe67/freedv-gui/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	824ed36ad3762d8b0a70538a4f6fe5d4
URL:		http://freedv.org/
BuildRequires:	alsa-lib-devel >= 1.1.8
BuildRequires:	cmake >= 3.13
BuildRequires:	codec2-devel >= 1.0.5
BuildRequires:	hamlib-devel >= 3.3
BuildRequires:	libsamplerate-devel >= 0.1.9
BuildRequires:	libsndfile-devel >= 1.0.28
BuildRequires:	libstdc++-devel >= 6:5
BuildRequires:	lpcnetfreedv-devel >= 0.3
%{?with_portaudio:BuildRequires:	portaudio-devel >= 19}
%{!?with_portaudio:BuildRequires:	pulseaudio-devel}
BuildRequires:	socket.io-client-cpp-devel >= 3.1.0-2
BuildRequires:	speexdsp-devel >= 1.2-0.rc3
BuildRequires:	wxGTK3-unicode-devel >= 3.0.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	alsa-lib >= 1.1.8
Requires:	codec2 >= 1.0.5
Requires:	hamlib >= 3.3
Requires:	hicolor-icon-theme
Requires:	libsamplerate >= 0.1.9
Requires:	libsndfile >= 1.0.28
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FreeDV is a GUI application for Windows and Linux that allows any SSB
radio to be used for low bit rate digital voice.

Speech is compressed down to 1400 bit/s then modulated onto a 1100 Hz
wide QPSK signal which is sent to the Mic input of a SSB radio. On
receive, the signal is received by the SSB radio, then demodulated and
decoded by FreeDV.

FreeDV was built by an international team of Radio Amateurs working
together on coding, design, user interface and testing. FreeDV is open
source software, released under the GNU Public License version 2. The
FDMDV modem and Codec 2 Speech codec used in FreeDV are also open
source.

%description -l pl.UTF-8
FreeDV to graficzna aplikacja dla Windows i Linuksa pozwalająca na
używanie dowolnego radia SSB do przesyłania cyfrowego głosu z niskimi
współczynnikami prędkości.

Mowa jest kompresowana nawet do 1400 bitów/s, a następnie modulowana
sygnału QPSK o szerokości 1100 Hz, wysyłanego do wejścia mikrofonowego
radia SSB. W drugą stronę, sygnał jest odbierany przez radio SSB,
następnie demodulowany i dekodowany przez FreeDV.

FreeDV zostało stworzone przez międzynarodowy zespół radioamatorów
współpracujących przy kodowaniu, projektowaniu, interfejsie
użytkownika i testowaniu. Jest to oprogramowanie o otwartych źródłach,
wydane na licencji GNU Public License w wersji 2. Modem FDMDV oraz
kodek mowy Codec 2, używane we FreeDV, także mają otwarte źródła.

%prep
%setup -q -n freedv-gui-%{version}

%build
%cmake -B build \
	%{?with_portaudio:-DUSE_PULSEAUDIO=OFF} \
	-DWXCONFIG=%{_bindir}/wx-gtk3-unicode-config

%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc CHANGELOG_OLD.md README.md USER_MANUAL.md
%attr(755,root,root) %{_bindir}/freedv
%{_datadir}/freedv-gui
%{_desktopdir}/freedv.desktop
%{_iconsdir}/hicolor/*x*/apps/freedv.png
%changelog
* Sun Mar 03 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/freedv.git;a=log;h=auto/th/freedv-1.9.8-1

* Sun Mar 03 2024 Jakub Bogusz <qboosh@pld-linux.org> a219fe3
- updated to 1.9.8

* Mon Sep 25 2023 Jan Rękorajski <baggins@pld-linux.org> b378b9a
- rebuild with wxWidgets 3.2

* Sun Apr 09 2023 Jakub Bogusz <qboosh@pld-linux.org> 8a82967
- updated to 1.8.8.1

* Tue Jul 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 62ae2f7
- bump dependencies according to internal versions

* Tue Jul 07 2020 Jan Rękorajski <baggins@pld-linux.org> 195ab1e
- up to 1.4

* Wed May 15 2019 Jakub Bogusz <qboosh@pld-linux.org> dda1022
- new, partially based on Fedora package

